#{{ ansible_managed }}
# Please consider joining the pool:
#
#     http://www.pool.ntp.org/join.html
#
# For additional information see:
# - https://wiki.archlinux.org/index.php/Network_Time_Protocol_daemon
# - http://support.ntp.org/bin/view/Support/GettingStarted
# - the ntp.conf man page

# Associate to Arch's NTP pool
{% for i in ntp_server %}
server {{ i }}
{% endfor %}

# By default, the server allows:
# - all queries from the local host
# - only time queries from remote hosts, protected by rate limiting and kod
{% for i in ntp_restrict %}
restrict {{ i }}
{% endfor %}

# Location of drift file
driftfile {{ ntp_driftfile }}

{% if ntp_crypto %}
crypto
{% endif %}

{% if ntp_includefile %}
includefile  {{ ntp_includefile }}
{% endif %}

{% if ntp_keys %}
keys {{ ntp_keys }}
{% endif %}

{% if ntp_trustedkey %}
trustedkey {{ ntp_trustedkey }}
{% endif %}

{% if ntp_requestkey %}
requestkey  {{ ntp_requestkey }}
{% endif %}

{% if ntp_controlkey %}
controlkey {{ ntp_controlkey }}
{% endif %}

{% if ntp_statistics %}
statistics {{ ntp_statistics }}
{% endif %}

{% if ntp_broadcast %}
broadcast {{ ntp_broadcast }}
{% endif %}

{% if ntp_broadcastclient %}
broadcastclient
{% endif %}

{% if ntp_multicastclient %}
multicastclient {{ ntp_multicastclient }}
{% endif %}
